Package org.apache.commons.fileupload2.core

# Class AbstractFileUploadWrapper<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>>

java.lang.Object
org.apache.commons.fileupload2.core.AbstractFileUploadWrapper<AFU,R,I,F>

Type Parameters:
  `AFU` - The type for `AbstractFileUpload`.
  `R` - The FileUpload request type.
  `I` - The FileItem type.
  `F` - The FileItemFactory type.

Direct Known Subclasses:
  `AbstractFileUploadTest`

public abstract class AbstractFileUploadWrapper<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>> extends Object
Common tests for implementations of `AbstractFileUpload`. This is a parameterized test. Tests must be valid and common to all implementations of FileUpload added as parameter in this class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final AFU`
  `upload`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractFileUploadWrapper(AFU fileUpload)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<I>`
  `parseUpload(AFU upload, byte[] bytes)`
  `abstract List<I>`
  `parseUpload(AFU upload, byte[] bytes, String contentType)`
  `List<I>`
  `parseUpload(AFU upload, String content)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### upload

    protected final AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F> upload

- ## Constructor Details

  - ### AbstractFileUploadWrapper

    protected AbstractFileUploadWrapper(AFU fileUpload)

- ## Method Details

  - ### parseUpload

    public List<I> parseUpload(AFU upload, byte[] bytes) throws org.apache.commons.fileupload2.core.FileUploadException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`

  - ### parseUpload

    public abstract List<I> parseUpload(AFU upload, byte[] bytes, String contentType) throws org.apache.commons.fileupload2.core.FileUploadException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`

  - ### parseUpload

    public List<I> parseUpload(AFU upload, String content) throws org.apache.commons.fileupload2.core.FileUploadException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`